import { IEffectsAction } from 'redux-effects-promise';
export declare class NotificationActionBuilder {
    /**
     * @stable [13.02.2020]
     * @param {string | IEffectsAction} error
     * @returns {IEffectsAction}
     */
    static buildErrorAction(error: string | IEffectsAction): IEffectsAction;
    /**
     * @stable [13.02.2020]
     * @param {string} info
     * @returns {IEffectsAction}
     */
    static buildInfoAction(info: string): IEffectsAction;
    /**
     * @stable [13.02.2020]
     * @param {string} info
     * @returns {IEffectsAction}
     */
    static buildPlainInfoAction(info: string): IEffectsAction;
    /**
     * @stable [13.02.2020]
     * @param {string | IEffectsAction} error
     * @returns {IEffectsAction}
     */
    static buildPlainErrorAction(error: string | IEffectsAction): IEffectsAction;
    /**
     * @stable [13.02.2020]
     * @returns {IEffectsAction}
     */
    static buildPlainClearAction(): IEffectsAction;
}
