import { IEffectsAction } from 'redux-effects-promise';
import { IFluxStackEntity } from '../definition';
export declare class StackActionBuilder {
    /**
     * @stable [19.12.2019]
     * @param {IFluxStackEntity} data
     * @returns {IEffectsAction}
     */
    static buildPushPlainAction(data: IFluxStackEntity): IEffectsAction;
    /**
     * @stable [19.12.2019]
     * @param {IFluxStackEntity} data
     * @returns {IEffectsAction}
     */
    static buildPopPlainAction(data: IFluxStackEntity): IEffectsAction;
    /**
     * @stable [19.12.2019]
     * @param {string} nextSection
     * @returns {IEffectsAction}
     */
    static buildLockAction(nextSection: string): IEffectsAction;
    static buildRemoveAction(...sections: string[]): IEffectsAction;
}
