/// <reference types="react" />
import { Field } from '../field/field.component';
import { IFieldInputProps, ISliderFieldProps, ISliderFieldState, ISliderProps } from '../../../definition';
/**
 * @component-impl
 * @stable [16.10.2020]
 */
export declare class SliderField<TProps extends ISliderFieldProps = ISliderFieldProps, TState extends ISliderFieldState = ISliderFieldState> extends Field<TProps, TState> {
    static readonly defaultProps: ISliderProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [16.10.2020]
     * @protected
     */
    protected get attachmentBodyElement(): JSX.Element;
    /**
     * @stable [16.10.2020]
     * @protected
     */
    protected getInputElementProps(): IFieldInputProps;
    /**
     * @stable [16.10.2020]
     * @protected
     */
    protected getComponentsSettingsProps(): TProps;
    /**
     * @stale [16.10.2020]
     * @protected
     */
    protected getFieldClassName(): string;
}
