import * as React from 'react';
import { GenericComponent } from '../base/generic.component';
import { IKeyboardState } from './keyboard.interface';
import { IKeyboardProps } from '../../definition';
export declare class Keyboard extends GenericComponent<IKeyboardProps, IKeyboardState> {
    static defaultProps: IKeyboardProps;
    /**
     * @stable [03.09.2018]
     * @param {IKeyboardProps} props
     */
    constructor(props: IKeyboardProps);
    /**
     * @stable [08.05.2018]
     * @returns {React.ReactNode}
     */
    render(): React.ReactNode;
    /**
     * @stable [08.05.2018]
     * @param {KeyboardKeyValueT} key
     */
    private onSelect;
    /**
     * @stable [21.08.2020]
     */
    private get isInline();
    /**
     * @stable [27.09.2019]
     * @returns {string}
     */
    private get fieldValue();
}
