import { IBaseListContainerProps, IListProps } from '../../definition';
import { GenericContainer } from '../base/generic.container';
export declare class BaseListContainer<TProps extends IBaseListContainerProps = IBaseListContainerProps, TListProps extends IListProps = IListProps> extends GenericContainer<TProps> {
    /**
     * @stable [11.06.2020]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [11.06.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [30.03.2020]
     * @returns {TComponentProps}
     */
    protected getComponentProps(): TListProps;
    /**
     * @stable [11.06.2020]
     * @param {IEntity} entity
     */
    private onSelect;
}
