import { IGenericContainer, IGenericContainerProps, IReduxStoreEntity, INotificationStoreProxy } from '../../../../definition';
import { StoreProxy } from '../store.proxy';
export declare class NotificationStoreProxy<TStore extends IReduxStoreEntity = IReduxStoreEntity, TProps extends IGenericContainerProps = IGenericContainerProps> extends StoreProxy<TStore, TProps> implements INotificationStoreProxy {
    readonly container: IGenericContainer<TProps>;
    /**
     * @stable [30.03.2020]
     * @param {IGenericContainer<TProps extends IGenericContainerProps>} container
     */
    constructor(container: IGenericContainer<TProps>);
    /**
     * @stable [30.03.2020]
     * @param {string} info
     */
    dispatchNotification(info: string): void;
}
