import { IKeyValue } from '../../definitions.interface';
import { GenericContainer } from '../../component/base/generic.container';
import { IBaseRootContainerProps } from '../../definition';
export declare class BaseRootContainer extends GenericContainer<IBaseRootContainerProps> {
    static readonly defaultProps: IBaseRootContainerProps;
    /**
     * @stable [16.11.2019]
     * @param {IBaseRootContainerProps} props
     */
    constructor(props: IBaseRootContainerProps);
    /**
     * @stable [16.11.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [16.11.2019]
     * @returns {IKeyValue}
     */
    protected get routeParams(): IKeyValue;
    /**
     * @stable [16.11.2019]
     * @returns {URLSearchParams}
     */
    protected get queryParams(): URLSearchParams;
}
