import { IEntity, IEntityIdTWrapper } from '../definitions.interface';
import { IExtendedEntity } from '../definition';
/**
 * @stable [01.09.2020]
 * @param extendedEntity
 */
export declare const doesExtendedEntityExist: <TEntity extends IEntity>(extendedEntity: IExtendedEntity<TEntity>) => boolean;
/**
 * @stable [30.08.2019]
 * @param {TEntity} entity
 * @returns {string}
 */
export declare const entityAsFileName: <TEntity extends IEntity>(entity: TEntity) => string;
/**
 * @stable [31.07.2020]
 */
export declare class EntityUtils {
    static readonly doesExtendedEntityExist: <TEntity extends IEntity>(extendedEntity: IExtendedEntity<TEntity>) => boolean;
    static readonly isNewEntity: <TEntity extends IEntityIdTWrapper>(entity: TEntity) => boolean;
    static readonly isPhantomEntity: <TEntity extends IEntityIdTWrapper>(entity: TEntity) => boolean;
}
