/**
 * @stable [29.06.2020]
 */
export declare class NumberUtils {
    static readonly invert: (num: number) => number;
    static readonly isOddNumber: (value: number) => boolean;
    static readonly percent: (value: number, total: number) => number;
    static readonly proportion: (value: number, total: number) => number;
    static readonly residueRoundDownByDivider: (num: number, divider?: number) => number;
    static readonly roundByPrecision: (num: number, precision?: number) => number;
    static readonly roundDownByDivider: (num: number, divider: number) => number;
    static readonly roundedByPrecisionProportion: (value: number, total: number, offValue?: number, precisionValue?: number) => number;
    static readonly roundedPercent: (value: number, total: number) => number;
    static readonly roundedProportion: (value: number, total: number, offValue?: number) => number;
}
