import { IKeyValue } from '../definitions.interface';
import { IValidationResultEntity, ValidationRulesEnum } from '../definition';
/**
 * @stable [08.09.2020]
 */
export declare class ValidatorUtils {
    static readonly validate: <TEntity extends IKeyValue = IKeyValue>(payloads: { [K in keyof TEntity]?: ValidationRulesEnum | ValidationRulesEnum[]; }, checkedObject: TEntity) => IValidationResultEntity;
}
