import { IEffectsAction } from 'redux-effects-promise';
/**
 * @action-builder
 * @stable [08.09.2020]
 */
export declare class DictionariesActionBuilder {
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildLoadActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     */
    static buildDestroyActionType(): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildLoadDoneActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildLoadErrorActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSetActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     */
    static buildDestroyAction(): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param data
     */
    static buildLoadAction<TData = {}>(section: string, data?: TData): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param data
     */
    static buildSetAction<TData = {}>(section: string, data?: TData | TData[]): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param data
     */
    static buildLoadPlainAction<TData = {}>(section: string, data?: TData): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param data
     */
    static buildSetPlainAction<TData = {}>(section: string, data?: TData | TData[]): IEffectsAction;
}
