import { AnyAction, Reducer } from 'redux';
import { IChannelWrapper } from '../definitions.interface';
import { IReduxChannelsEntity } from '../definition';
/**
 * @stable [21.05.2018]
 * @param {IReduxChannelsEntity} state
 * @param {AnyAction} action
 * @returns {IReduxChannelsEntity}
 */
export declare function channelReducer(state: IReduxChannelsEntity, action: AnyAction): IReduxChannelsEntity;
/**
 * @stable [21.05.2018]
 */
export declare const channelsReducers: IChannelWrapper<Reducer<{}>>;
