/// <reference types="react" />
import { IFilterFormDialogContainerProps } from '../../../definition';
import { GenericContainer } from '../../base/generic.container';
/**
 * @component-container-impl
 * @stable [01.08.2020]
 *
 * Please use the "Mappers.filterFormDialogContainerProps"
 */
export declare class FilterFormDialogContainer extends GenericContainer<IFilterFormDialogContainerProps> {
    /**
     * @stable [01.08.2020]
     * @param {IFilterFormDialogContainerProps} originalProps
     */
    constructor(originalProps: IFilterFormDialogContainerProps);
    /**
     * @stable [23.04.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [23.04.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.04.2020]
     */
    private onAcceptFilter;
    /**
     * @stable [23.04.2020]
     */
    private onClearFilter;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private get canAccept();
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private get isFormTouched();
}
