import { IField, IGenericPlugin } from '../../../../definition';
export declare class DelayedChangesFieldPlugin implements IGenericPlugin {
    private component;
    static DEFAULT_DELAY_TIMEOUT: number;
    private currentValue;
    private delayedTask;
    /**
     * @stable [14.10.2020]
     * @param component
     */
    constructor(component: IField);
    /**
     * @stable [04.05.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [14.10.2020]
     * @param event
     * @private
     */
    private onKeyEnter;
    /**
     * @stable [04.05.2018]
     * @param {IChangeEvent} event
     */
    private onChange;
    /**
     * @stable [18.05.2018]
     */
    private onChangeManually;
    /**
     * @stable [14.10.2020]
     * @private
     */
    private doDelay;
}
