import { BaseTextField } from '../text-field/base-text-field.component';
import { INumberFieldInternalState, INumberFieldProps } from './numberfield.interface';
import { ChangeEventT, IFieldInputProps, IKeyboardProps } from '../../../definition';
export declare class NumberField extends BaseTextField<INumberFieldProps, INumberFieldInternalState> {
    static readonly defaultProps: INumberFieldProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    getRawValueFromEvent(event: ChangeEventT): number | string;
    protected getFieldPattern(): string;
    private get numberSettings();
    /**
     * @stable [01.02.2020]
     * @returns {IKeyboardProps}
     */
    protected getKeyboardProps(): IKeyboardProps;
    /**
     * @stable [02.05.2019]
     * @returns {string}
     */
    protected getFieldClassName(): string;
    /**
     * @stable [14.10.2020]
     * @protected
     */
    protected getInputElementProps(): IFieldInputProps;
    /**
     * @stable [12.10.2020]
     * @protected
     */
    protected getComponentsSettingsProps(): INumberFieldProps;
}
