/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IInlineOptionProps } from '../../definition';
/**
 * @component-impl
 * @stable [16.06.2020]
 */
export declare class InlineOption extends GenericComponent<IInlineOptionProps> {
    static readonly defaultProps: IInlineOptionProps;
    /**
     * @stable [08.07.2020]
     * @param {IInlineOptionProps} originalProps
     */
    constructor(originalProps: IInlineOptionProps);
    /**
     * @stable [16.06.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [16.06.2020]
     * @returns {IInlineOptionProps}
     */
    protected get componentsSettingsProps(): IInlineOptionProps;
    /**
     * @stable [08.07.2020]
     */
    private onClose;
    /**
     * @stable [08.07.2020]
     */
    private onClick;
}
