/// <reference types="react" />
import { IPictureViewerProps } from '../../../definition';
import { Viewer } from '../viewer.component';
export declare class PictureViewer extends Viewer<IPictureViewerProps> {
    static defaultProps: IPictureViewerProps;
    /**
     * @stable [18.03.2020]
     * @returns {JSX.Element}
     */
    protected getPreviewExtraActionsElement(): JSX.Element;
    /**
     * @stable [19.06.2020]
     * @returns {string}
     */
    protected getClassName(): string;
    /**
     * @stable [11.01.2019]
     * @returns {JSX.Element}
     */
    protected getContentElement(): JSX.Element;
    /**
     * @stable [18.03.2020]
     * @returns {JSX.Element}
     */
    protected gePreviewElement(): JSX.Element;
}
