import { PhoneNumber as PN, PhoneNumberFormat as PNF } from 'google-libphonenumber';
import { IPhoneConfigEntity, IPhoneConverter } from '../../definition';
export declare class PhoneConverter implements IPhoneConverter<PNF> {
    private readonly settings;
    private readonly phoneUtilInstance;
    /**
     * @stable [19.09.2020]
     * @param config
     */
    format(config: IPhoneConfigEntity<PNF>): string;
    /**
     * @stable [19.09.2020]
     * @param config
     */
    parse(config: IPhoneConfigEntity<PNF>): PN;
    /**
     * @stable [19.09.2020]
     * @param config
     */
    phoneParameter(config: IPhoneConfigEntity<PNF>): string;
    /**
     * @stable [19.09.2020]
     */
    get countryCodeForRegion(): string;
    /**
     * @stable [19.09.2020]
     */
    private get region();
}
